org.codehaus.plexus.component.repository.exception

## Class ComponentLookupException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.codehaus.plexus.component.repository.exception.ComponentLookupException

All Implemented Interfaces:
  java.io.Serializable

    public class ComponentLookupException
    extends java.lang.Exception

The exception which is thrown by a component repository when the requested component cannot be found.

Version:
  $Id: ComponentLookupException.java 7828 2008-11-14 22:07:56Z dain $
Author:
  Jason van Zyl
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ComponentLookupException(java.lang.String message, java.lang.String role, java.lang.String roleHint)`
`ComponentLookupException(java.lang.String message, java.lang.String role, java.lang.String roleHint, org.codehaus.plexus.classworlds.realm.ClassRealm realm)`
`ComponentLookupException(java.lang.String message, java.lang.String role, java.lang.String roleHint, org.codehaus.plexus.classworlds.realm.ClassRealm realm, java.lang.Throwable cause)`
`ComponentLookupException(java.lang.String message, java.lang.String role, java.lang.String roleHint, java.lang.Throwable cause)`

### Method Summary

Methods
`java.lang.String` `getMessage()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ComponentLookupException

    public ComponentLookupException(java.lang.String message,
                            java.lang.String role,
                            java.lang.String roleHint)

#### ComponentLookupException

    public ComponentLookupException(java.lang.String message,
                            java.lang.String role,
                            java.lang.String roleHint,
                            java.lang.Throwable cause)

#### ComponentLookupException

    public ComponentLookupException(java.lang.String message,
                            java.lang.String role,
                            java.lang.String roleHint,
                            org.codehaus.plexus.classworlds.realm.ClassRealm realm)

#### ComponentLookupException

    public ComponentLookupException(java.lang.String message,
                            java.lang.String role,
                            java.lang.String roleHint,
                            org.codehaus.plexus.classworlds.realm.ClassRealm realm,
                            java.lang.Throwable cause)

### Method Detail

#### getMessage

    public java.lang.String getMessage()

Overrides:
  `getMessage` in class `java.lang.Throwable`